org.apache.hc.client5.http

## Interface SchemePortResolver

All Known Implementing Classes:
  DefaultSchemePortResolver

    @Contract(threading=STATELESS)
    public interface SchemePortResolver

Strategy for default port resolution for protocol schemes.

Since:
  4.3

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`int` `resolve(HttpHost host)` Returns the actual port for the host based on the protocol scheme.
`default int` `resolve(String scheme, NamedEndpoint endpoint)` Returns the actual port for the host based on the protocol scheme.

### Method Detail

#### resolve

    int resolve(HttpHost host)

Returns the actual port for the host based on the protocol scheme.

#### resolve

    default int resolve(String scheme,
                        NamedEndpoint endpoint)

Returns the actual port for the host based on the protocol scheme.

Since:
  5.2